<template>
  <coscine-notification-banner
    :visible="isBannerVisible"
    :bannerText1="$t('banner.pilot.pilotBannerText1')"
    :bannerText2="$t('banner.pilot.pilotBannerText2')"
    :linkText="$t('email.serviceDeskName')"
    :bannerLink="$t('email.serviceDeskMailTo')"
    @closeValue="saveVisibility()"
    :dismissable="true"
  />
</template>

<script lang="ts">
import Vue from 'vue';
import { CoscineNotificationBanner } from '@coscine/component-library';

export default Vue.extend({
  name: 'PilotBanner',
  components: {
    CoscineNotificationBanner,
  },
  computed: {
    isBannerVisible(): boolean {
      return this.$store.state.banner.pilotBannerVisible;
    },
  },
  methods: {
    saveVisibility() {
      this.$store.commit('banner/storeBannerVisibility', { name: 'coscine.pilotBanner', state: false });
    },
  },
});
</script>
